## qt5integration 5.1.12

=== debian/changelog ===
qt5integration (5.1.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 15 Apr 2021 17:59:29 +0800

qt5integration (1.0.0) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 08 Nov 2016 15:10:02 +0800
