=== debian/control ===
Source: qt5integration
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>=9),
 qt5-qmake,
 qtbase5-dev,
 qtbase5-private-dev,
 libqt5xdg-dev,
 libdtkgui-dev,
 libdtkwidget-dev,
 pkg-config,
 libqt5x11extras5-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libglib2.0-dev,
 libqt5svg5-dev,
 libqt5xdgiconloader-dev,
 libmtdev-dev,
 libegl1-mesa-dev,
 libxrender-dev,
 libgtest-dev
Standards-Version: 3.9.8

Package: dde-qt5integration
Architecture: any
Provides: libqt5deepintheme-plugin
Conflicts: libqt5deepintheme-plugin
Depends: ${shlibs:Depends}, ${misc:Depends}, dde-qt5xcb-plugin
Description: Qt platform theme integration plugins for DDE
 Multiple Qt plugins to provide better Qt5 integration for DDE is included.
