## qt5integration 5.5.20

=== debian/changelog ===
qt5integration (5.5.20-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 22 Feb 2022 13:37:01 +0800
