=== debian/control ===
--- 
+++ 
@@ -27,6 +27,12 @@
 Architecture: any
 Provides: libqt5deepintheme-plugin
 Conflicts: libqt5deepintheme-plugin
+Depends: ${shlibs:Depends}, ${misc:Depends}, dde-qt5xcb-plugin, dde-qt5integration5
+Description: Qt platform theme integration plugin choosers for DDE
+ Multiple Qt plugin choosers for DDE is included.
+
+Package: dde-qt5integration5
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dde-qt5xcb-plugin
 Description: Qt platform theme integration plugins for DDE
  Multiple Qt plugins to provide better Qt5 integration for DDE is included.
