## qt5integration 5.5.23.1

=== debian/changelog ===
qt5integration (5.5.23.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 16 Jun 2022 17:11:23 +0800
