## qt5integration 5.5.24

=== debian/changelog ===
qt5integration (5.5.24-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 31 Aug 2022 15:22:08 +0800
