## qt5integration 5.5.25

=== debian/changelog ===
qt5integration (5.5.25-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 28 Nov 2022 15:06:01 +0800

qt5integration (5.5.25) unstable; urgency=medium

  * Release 5.5.25

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 24 Nov 2022 13:31:31 +0800
