## qt5integration 5.5.26

=== debian/changelog ===
qt5integration (5.5.26-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Apr 2023 14:35:55 +0800
