## qt5integration 5.5.26.1

=== debian/changelog ===
qt5integration (5.5.26.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 25 Sep 2023 09:48:11 +0800
