=== debian/control ===
--- 
+++ 
@@ -26,7 +26,8 @@
 Package: dde-qt5integration
 Architecture: any
 Provides: libqt5deepintheme-plugin
-Conflicts: libqt5deepintheme-plugin
+Conflicts: libqt5deepintheme-plugin, dde-qt5integration5.5
+Replaces: dde-qt5integration5.5
 Depends: ${shlibs:Depends}, ${misc:Depends}, dde-qt5xcb-plugin, dde-qt5integration5
 Description: Qt platform theme integration plugin choosers for DDE
  Multiple Qt plugin choosers for DDE is included.
