## qt5integration 5.6.32

=== debian/changelog ===
qt5integration (5.6.32) unstable; urgency=medium

  * fix: can't set transparent for Menu's background
  * chore: adapt to qt6xdg

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:29:21 +0000

qt5integration (5.6.31) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jun 2024 09:11:34 +0000

qt5integration (5.6.30) unstable; urgency=medium

  * fix: qapitrace open file crash
  * fix: close action in lineedit is narrowed(Issue: https://github.com/linuxdeepin/developer-center/issues/8423)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 30 May 2024 02:46:31 +0000

qt5integration (5.6.29) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 13 May 2024 03:02:54 +0000

qt5integration (5.6.28) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 29 Apr 2024 08:23:39 +0000

qt5integration (5.6.27) unstable; urgency=medium

  * fix: The month button arrow in DCalendarWidget is out of range(Issue: https://github.com/linuxdeepin/developer-center/issues/7402)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 19 Apr 2024 08:55:34 +0000

qt5integration (5.6.26) unstable; urgency=medium

  * fix: icon size of the selected item in context menu(Issue: https://github.com/linuxdeepin/developer-center/issues/7446)
  * chore: scrollerbar tweak(Task: 331783)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Mar 2024 05:47:34 +0000

qt5integration (5.6.25) unstable; urgency=medium

  * fix: Button can't reponse Return/Enter key(Issue: https://github.com/linuxdeepin/developer-center/issues/5852)
  * chore: ButtonPressKeys is only supported in Qt6
  * fix: wrong style for ComboBox in RightToLeft layout(Issue: https://github.com/linuxdeepin/developer-center/issues/1765)
  * fix: Need link x11
    Thanks to Hillwood Yang
  * chore: check platformtheme is valid when set menu windowradius

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 11 Mar 2024 01:16:27 +0000

qt5integration (5.6.20) unstable; urgency=medium

  * release 5.6.20

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 29 Nov 2023 09:56:07 +0800

qt5integration (5.6.17) unstable; urgency=medium

  * release 5.6.17
  * feat: scrollbar show policy tweak
  * fix: some apps failed to create system tray

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 30 Aug 2023 13:42:26 +0800

qt5integration (5.6.16) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/2e5e092ba3f86b16d1aabbabcf0bfd2ae65b19c8(Influence: none)
  * chore(CI): Update obs tag build workflow
  * chore: always use qmake
  * fix: compatibility with libqtxdg2
  * feat: support cmake and Qt6
  * feat: imageformatplugins support cmake and Qt6
  * feat: platformthemeplugin supports cmake and Qt6
  * feat: styleplugins support cmake and Qt6
  * feat: styles support cmake and Qt6
  * fix: DLineEdit setAlert not work on DDialog(Issue: #91)
  * fix: missing 3rdparty sources and resources
  * chore: fix nodiscard warning
  * fix: do not compile and install dstyleplugin
  * fix: redirect styles output
  * feat: tests support cmake and Qt6
  * Revert "fix(style): the list view item select rect subtraction the frame margins"
  * fix: dbusmenu related symbols are hidden in Qt6
  * chore: delete deprecated project files
  * fix: dci icon cache key miss theme name(Issue: https://github.com/linuxdeepin/developer-center/issues/4517)
  * fix: Combobox's background is wrong when hover(Issue: #61)
  * fix: svg imageformat plugin not load
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore: delete deprecated interface about iconengine
  * fix: diconengine load failed
  * tests: fix unit tests resource lacking
  * fix: file manage crash
  * fix: compatibility with orientation
  * refactor: remove unused old style
  * feat: add test coverage script
  * tests: add some unit tests
  * chore: add additional runtime control
  * chore: correct source file license
  * refactor: ut sources to linked form
  * chore: remove redundant macro
  * chore: use libfreetype-dev instead of libfreetype6-dev
  * fix: App failed to create multiple system trays

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Aug 2023 15:36:34 +0800

qt5integration (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * FIX dtk#53 dtk#55 dtk#64 dtk#65 developer-center#4122

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 13:50:24 +0800

qt5integration (5.6.10) unstable; urgency=medium

  * Release 5.6.10
  * FIX dtkwidget/#399 dtkwidget/#409
  * FIX developer-center/#4068 developer-center/#4077
  * deepin theme plugin add DDE key


 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Apr 2023 17:18:59 +0800

qt5integration (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 10:20:50 +0800

qt5integration (5.6.6) unstable; urgency=medium

  * Release 5.6.6

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 13 Mar 2023 10:13:11 +0800

qt5integration (5.6.5) unstable; urgency=medium

  * Release 5.6.5

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 02 Feb 2023 14:10:21 +0800

qt5integration (5.6.4) unstable; urgency=medium

  * Release 5.6.4

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 09 Jan 2023 11:13:35 +0800

qt5integration (5.6.3) unstable; urgency=medium

  * Release 5.6.3

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 12 Dec 2022 17:19:33 +0800

qt5integration (5.6.0) unstable; urgency=medium

  * snipe release 5.6.0

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 08 Jul 2022 15:24:31 +0800

qt5integration (5.5.21.1) unstable; urgency=medium

  * Release 5.5.21.1

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 14 Jun 2022 10:45:17 +0800
