=== debian/changelog ===
qt5integration (5.7.5) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 12 Dec 2024 03:03:54 +0000

qt5integration (5.7.4) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 03 Dec 2024 02:00:45 +0000

qt5integration (5.7.3) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 20 Nov 2024 02:19:06 +0000

qt5integration (5.7.2) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 13 Nov 2024 01:53:26 +0000

qt5integration (5.7.1) unstable; urgency=medium

  * fix: loongarch64 disable compile unit test binaries
  * menu item and slider style tweak (#242)
    Thanks to Whale107(Bug: 254295)(Task: 362001)(Influence: 调整滑动条横条和刻度颜色)
  * merge dev/animation to master (#243)
    Thanks to Whale107

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 16 Oct 2024 03:30:44 +0000

qt5integration (5.6.34) unstable; urgency=medium

  * fix(build): failed when qt6xdg not found

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 20 Aug 2024 05:03:51 +0000
