=== debian/changelog ===
qt5integration (5.7.14) unstable; urgency=medium

  * Release 5.7.14

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:51:59 +0800

qt5integration (5.7.13) unstable; urgency=medium

  * Release 5.7.13

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:06:28 +0800

qt5integration (5.7.12) unstable; urgency=medium

  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:30:04 +0800

qt5integration (5.7.11) unstable; urgency=medium

  * Release 5.7.11

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:48:12 +0800

qt5integration (5.7.10) unstable; urgency=medium

  * Release 5.7.10

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:18:50 +0800

qt5integration (5.7.9) unstable; urgency=medium

  * chore: disable ut by default

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 09:07:08 +0000

qt5integration (5.7.8) unstable; urgency=medium

  * chore: delay to access dbus for trayicon

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 14 Jan 2025 11:17:31 +0000

qt5integration (5.7.7) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 09:28:38 +0000

qt5integration (5.7.6) unstable; urgency=medium

  * fix: missing antialiased for menuItem

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 02 Jan 2025 05:43:53 +0000
