=== debian/changelog ===
qt5integration (5.7.16) unstable; urgency=medium

  * Release 5.7.16

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:22:18 +0800

qt5integration (5.7.15) unstable; urgency=medium

  * Release 5.7.15

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:53:23 +0800
