## qt5integration 5.7.21

=== imageformatplugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

add_subdirectory(dci)
add_subdirectory(svg)
