=== debian/changelog ===
qt5integration (5.7.21) unstable; urgency=medium

  * Release 5.7.21

 --  yeshanshan <packages@deepin.org>  Thu, 14 Aug 2025 19:48:20 +0800

qt5integration (5.7.20) unstable; urgency=medium

  * Release 5.7.20

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 20:01:31 +0800
