## qt5integration 5.7.26

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,9 @@
 
 cmake_minimum_required(VERSION 3.13)
 
-set(DTK_VERSION
-  5.6.12
-  CACHE STRING "Project version"
-)
+file(READ "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" DTK_FILE_VERSION)
+string(STRIP "${DTK_FILE_VERSION}" DTK_FILE_VERSION)
+set(DTK_VERSION "${DTK_FILE_VERSION}" CACHE STRING "Project version")
 
 project(
   qtintegration
@@ -17,12 +16,14 @@
   LANGUAGES CXX C
 )
 
-option(BUILD_TESTS "Build tests" OFF)
 option(ENABLE_COV "Enable code coverage" OFF)
 
 if(PROJECT_VERSION_MAJOR EQUAL 6)
   set(VERSION_SUFFIX 6)
   find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core)
+  if(QT_VERSION VERSION_GREATER_EQUAL 6.10)
+    find_package(Qt6 COMPONENTS CorePrivate GuiPrivate WidgetsPrivate REQUIRED)
+  endif()
 else()
   set(VERSION_SUFFIX)
   find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core)
@@ -49,6 +50,7 @@
 if(CMAKE_BUILD_TYPE_LOWER STREQUAL release)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2")
 elseif(CMAKE_BUILD_TYPE_LOWER STREQUAL debug)
+  set(BUILD_TESTING ON)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0 -g")
 endif()
 
@@ -105,9 +107,8 @@
 find_package(Dtk${VERSION_SUFFIX} REQUIRED COMPONENTS Widget)
 
 option(ENABLE_QT_XDG_ICON_LOADER "Enable QtXdgIconLoader" ON)
-find_package(Qt${QT_VERSION_MAJOR}XdgIconLoader)
-find_package(Qt${QT_VERSION_MAJOR}Xdg REQUIRED)
-if (NOT Qt${QT_VERSION_MAJOR}XdgIconLoader_FOUND)
+find_package(Qt${QT_VERSION_MAJOR}Xdg)
+if (NOT Qt${QT_VERSION_MAJOR}Xdg_FOUND)
     message(WARNING " Qt${QT_VERSION_MAJOR}XdgIconLoader Not Found, DISABLE QtXdgIconLoader !")
     set (ENABLE_QT_XDG_ICON_LOADER OFF)
 endif()
@@ -132,6 +133,6 @@
 if(CMAKE_BUILD_TYPE_LOWER STREQUAL debug)
   add_subdirectory(styles)
 endif()
-if(BUILD_TESTS)
+if(BUILD_TESTING)
   add_subdirectory(tests)
 endif()
